import os

from digitalarz.file_io import FileIO
from digitalarz.raster.rio_raster import RioRaster
from test.test_config import DATA_DIR

if __name__ == '__main__':
    file_name = 'srtm_49_06.zip'
    zip_file = os.path.join(DATA_DIR, file_name)
    output_folder = FileIO.extract_zip_file(zip_file)
    tif_file = os.path.join(output_folder, file_name.replace('.zip', '.tif'))
    rio_raster = RioRaster(tif_file)
    print(rio_raster.get_raster_extent())
    print("done")